## LOC Get Predicted Orbits Data Source request

LOC Get Predicted Orbits Data Source request

## Functions

QmiMessageLocGetPredictedOrbitsDataSourceOutput * | qmi_message_loc_get_predicted_orbits_data_source_output_ref ()
void | qmi_message_loc_get_predicted_orbits_data_source_output_unref ()
gboolean | qmi_message_loc_get_predicted_orbits_data_source_output_get_result ()
void | qmi_client_loc_get_predicted_orbits_data_source ()
QmiMessageLocGetPredictedOrbitsDataSourceOutput * | qmi_client_loc_get_predicted_orbits_data_source_finish ()

## Types and Values

| QmiMessageLocGetPredictedOrbitsDataSourceOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageLocGetPredictedOrbitsDataSourceOutput

## Description

## Functions

### qmi_message_loc_get_predicted_orbits_data_source_output_ref ()

    QmiMessageLocGetPredictedOrbitsDataSourceOutput *
    qmi_message_loc_get_predicted_orbits_data_source_output_ref
                                   (QmiMessageLocGetPredictedOrbitsDataSourceOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocGetPredictedOrbitsDataSourceOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_get_predicted_orbits_data_source_output_unref ()

    void
    qmi_message_loc_get_predicted_orbits_data_source_output_unref
                                   (QmiMessageLocGetPredictedOrbitsDataSourceOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocGetPredictedOrbitsDataSourceOutput. |

Since: 1.22

### qmi_message_loc_get_predicted_orbits_data_source_output_get_result ()

    gboolean
    qmi_message_loc_get_predicted_orbits_data_source_output_get_result
                                   (QmiMessageLocGetPredictedOrbitsDataSourceOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocGetPredictedOrbitsDataSourceOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22

### qmi_client_loc_get_predicted_orbits_data_source ()

    void
    qmi_client_loc_get_predicted_orbits_data_source
                                   (QmiClientLoc *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Predicted Orbits Data Source request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_get_predicted_orbits_data_source_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_loc_get_predicted_orbits_data_source_finish ()

    QmiMessageLocGetPredictedOrbitsDataSourceOutput *
    qmi_client_loc_get_predicted_orbits_data_source_finish
                                   (QmiClientLoc *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_loc_get_predicted_orbits_data_source()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_get_predicted_orbits_data_source()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocGetPredictedOrbitsDataSourceOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_get_predicted_orbits_data_source_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageLocGetPredictedOrbitsDataSourceOutput

    typedef struct _QmiMessageLocGetPredictedOrbitsDataSourceOutput QmiMessageLocGetPredictedOrbitsDataSourceOutput;

The QmiMessageLocGetPredictedOrbitsDataSourceOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22